const BAN_ITEM = [
    'artifacts:vampiric_glove',
    'artifacts:eternal_steak',
    'artifacts:everlasting_beef',
    'artifacts:umbrella',
    'artifacts:scarf_of_invisibility',
    'artifacts:helium_flamingo',
    'relics:arrow_quiver',
    'relics:ice_breaker',
    'relics:midnight_robe',
    'relics:holy_locket',
    'relics:rage_glove',
    // 'touhou_little_maid:broom',
    'fuze_relics:pulsion_chestplate',
    'fuze_relics:nether_portal_gun'
]

PlayerEvents.inventoryChanged(event => {
    const { item, player } = event;

    if (BAN_ITEM.indexOf(item.getId()) !== -1 && item.getCount() > 0) {
        player.tell(Text.red(Text.translate('message.kubejs.item.ban')));
        player.inventory.clear(item);
    }
})
